Description: Debian branding and naming the executable cmucl instead of lisp
Author: Peter Van Eynde <pvaneynd@debian.org>
Forwarded: not-needed

--- cmucl.orig/bin/build-world.sh
+++ cmucl/bin/build-world.sh
@@ -13,7 +13,7 @@
 fi
 
 TARGET="`echo $1 | sed 's:/*$::'`"
-LISP="${2:-lisp}"
+LISP="${2:-cmucl}"
 if [ $# -ge 2 ]
 then
 	shift 2
--- cmucl.orig/src/tools/clmcom.lisp
+++ cmucl/src/tools/clmcom.lisp
@@ -22,11 +22,10 @@
 #-pcl(load "target:pcl/pclload")
 #-clx
 (progn
-  (load "target:clx/clx-library")
+  (require :cmucl-clx)
   #+gencgc (gc :full t)
   #-gencgc (ext:purify))
 
-(pushnew :motif *features*)
 
 ;;; Set this pesky bit ON - see note in clxcom.lisp
 (when (boundp 'conditions::*make-condition-accessor-methods*)
@@ -73,6 +72,7 @@
     (let ((pn (or (try (c:backend-fasl-file-type c:*backend*))
 		  (try (c:backend-byte-fasl-file-type c:*backend*)))))
       (when pn (load pn)))))
+(pushnew :motif *features*)
 
 (with-compiler-log-file
     ("target:compile-motif.log")
--- cmucl.orig/src/lisp/lisp.c
+++ cmucl/src/lisp/lisp.c
@@ -93,8 +93,8 @@
     "./.",
     "./../lib/cmucl/lib",
     "./../lib",
-    "/usr/local/lib/cmucl/lib",
     "/usr/lib/cmucl",
+    "/usr/local/lib/cmucl/lib",
     NULL
 };
 
--- cmucl.orig/src/clx/clx.lisp
+++ cmucl/src/clx/clx.lisp
@@ -82,6 +82,7 @@
 
 (pushnew :clx *features*)
 (pushnew :xlib *features*)
+(setf *features* (remove :no-clx *features*))
 
 (defparameter *version* "MIT R5.02")
 (pushnew :clx-mit-r4 *features*)
--- cmucl.orig/src/hemlock/main.lisp
+++ cmucl/src/hemlock/main.lisp
@@ -31,6 +31,8 @@
 
 (defvar *hemlock-version* "3.5")
 (pushnew :hemlock *features*)
+(setf *features* (remove :no-hemlock *features*))
+
 (setf (getf ext:*herald-items* :hemlock) 
       `("    Hemlock " ,*hemlock-version*))
 
--- cmucl.orig/src/interface/initial.lisp
+++ cmucl/src/interface/initial.lisp
@@ -12,6 +12,7 @@
 (in-package "CL-USER")
 
 (pushnew :motif *features*)
+(setf *features* (remove :no-clm *features*))
 
 (setf (getf ext:*herald-items* :motif)
       `("    Motif toolkit and graphical debugger 1.0"))
--- cmucl.orig/src/code/save.lisp
+++ cmucl/src/code/save.lisp
@@ -118,7 +118,7 @@
 	    (or
 	     #+:executable
 	     *old-cmucl-library-search-list*
-	     '("/usr/local/lib/cmucl/lib/"))))
+	     '("/usr/lib/cmucl/lib/"))))
   (setf (search-list "modules:")
 	'("library:contrib/" "library:subsystems/" "target:contrib/"))
   (setf (search-list "ld-library-path:")
